<?php
/**
* Customizer validation functions
*
* @package Theme Palace
* @subpackage Kids Education Pro
* @since Kids Education Pro 1.0
*/

function kids_education_pro_validate_long_excerpt( $validity, $value ){
       $value = intval( $value );
   if ( empty( $value ) || ! is_numeric( $value ) ) {
       $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'kids-education-pro' ) );
   } elseif ( $value < 5 ) {
       $validity->add( 'min_no_of_words', esc_html__( 'Minimum no of words is 5', 'kids-education-pro' ) );
   } elseif ( $value > 100 ) {
       $validity->add( 'max_no_of_words', esc_html__( 'Maximum no of words is 100', 'kids-education-pro' ) );
   }
   return $validity;
}

function kids_education_pro_validate_no_of_main_slider( $validity, $value ){
       $value = intval( $value );
   if ( empty( $value ) || ! is_numeric( $value ) ) {
       $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'kids-education-pro' ) );
   } elseif ( $value < 1 ) {
       $validity->add( 'min_no_of_img', esc_html__( 'Minimum no of image is 1', 'kids-education-pro' ) );
   } elseif ( $value > 10 ) {
       $validity->add( 'max_no_of_img', esc_html__( 'Maximum no of images is 10', 'kids-education-pro' ) );
   }
   return $validity;
}

function kids_education_pro_validate_no_of_feature( $validity, $value ){
       $value = intval( $value );
   if ( empty( $value ) || ! is_numeric( $value ) ) {
       $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'kids-education-pro' ) );
   } elseif ( $value < 1 ) {
       $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of post is 1', 'kids-education-pro' ) );
   } elseif ( $value > 10 ) {
       $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 8', 'kids-education-pro' ) );
   }
   return $validity;
}